TagMangoTagMango Docs
Host

Update App Configurations

PATCH
/api/v1/external/host/apps

Update app configurations for host.

  • This endpoint can be used to update app configurations for a host.
  • It can be used to update allowed mangoes for an app.

:::warning

  • Currently only supports these apps levelup, universe, crm, flute, sparks, tm-ai-cofounder.
  • These apps must be installed to the dashboard first before accessing this endpoint.
  • Any custom app added from Dashboard will not be supported.
  • Passing empty array will remove all allowed mangoes for the app, so update the allowed mangoes carefully. :::
AuthorizationBearer <token>

In: header

Header Parameters

x-whitelabel-host*string

Host name of the dashboard, ex: mydomain.tagmango.com

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api-prod-new.tagmango.com/api/v1/external/host/apps" \  -H "x-whitelabel-host: string" \  -H "Content-Type: application/json" \  -d '{    "app": "levelup",    "mangoes": []  }'
{
  "message": "Operation completed successfully",
  "success": true
}
{
  "code": 400,
  "type": "Bad Request",
  "statusMessage": "BAD_REQUEST",
  "success": false,
  "message": "Invalid request",
  "result": "Invalid request"
}
{
  "code": 401,
  "type": "Unauthorized",
  "statusMessage": "UNAUTHORIZED",
  "message": "Invalid token",
  "result": "Invalid token",
  "success": false
}
{
  "code": 403,
  "type": "Forbidden",
  "statusMessage": "FORBIDDEN",
  "errorCode": "WORKSHOP_MANGO_FORBIDDEN",
  "message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "success": false
}
{
  "code": 429,
  "type": "Too Many Requests",
  "statusMessage": "TOO_MANY_REQUESTS",
  "message": "Request limit exceeded. try after 10 seconds",
  "result": "Request limit exceeded. try after 10 seconds",
  "success": false
}